Subject: [bug#68163] [PATCH] gnu: Prevent stale cache use when `%package-module-path' is parameterized.

From: antlers <[email-masked]>
Date: Fri, 12 Jan 2024 20:41:11 -0800

> ii) Could you explain when it fails exactly and running which Guix
>     command-line?
 
Oh, I didn't answer this literally! Apologies for the extra mail, but I do have
an important clarification. I refer several times to "compile time" and
"compiling the channel"; what I am referring to is the lowering of it's
derivation, which happens before the package cache or profile is built when
running `guix pull` or `guix time-machine -C [...]`, not specifically the      
compilation of the SCM files comprising the channel (though my note about
having had to remove compilation artifacts from a successful build to surface
the issue after a rollback remains, and contributes to my confusion of terms).